[arch-commits] Commit in gtk/repos (3 files)

Eric Bélanger eric at archlinux.org
Mon Jan 11 10:30:23 EST 2010


    Date: Monday, January 11, 2010 @ 10:30:23
  Author: eric
Revision: 62735

Merged revisions 62734 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gtk/trunk

........
  r62734 | eric | 2010-01-11 10:30:03 -0500 (Mon, 11 Jan 2010) | 2 lines
  
  upgpkg: gtk 1.2.10-10
      Fixed info files handling (close FS#16284), Removed texinfo depends
........

Modified:
  gtk/repos/extra-i686/	(properties)
  gtk/repos/extra-i686/PKGBUILD
  gtk/repos/extra-i686/gtk.install

-------------+
 PKGBUILD    |    8 +++-----
 gtk.install |   15 ++++++++-------
 2 files changed, 11 insertions(+), 12 deletions(-)


Property changes on: gtk/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gtk/trunk:1-41777
   + /gtk/trunk:1-62734

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-11 15:30:03 UTC (rev 62734)
+++ extra-i686/PKGBUILD	2010-01-11 15:30:23 UTC (rev 62735)
@@ -4,17 +4,16 @@
 
 pkgname=gtk
 pkgver=1.2.10
-pkgrel=9
+pkgrel=10
 pkgdesc="The GTK+ toolkit"
 arch=('i686' 'x86_64')
 url="http://www.gtk.org/"
 license=('LGPL')
-depends=('libxi' 'glib' 'sh' 'texinfo')
+depends=('libxi' 'glib' 'sh')
 makedepends=('libxt')
 options=('!libtool')
 install=gtk.install
-source=(ftp://ftp.gtk.org/pub/gtk/v1.2/gtk+-$pkgver.tar.gz
-	aclocal-fixes.patch)
+source=(ftp://ftp.gtk.org/pub/gtk/v1.2/gtk+-$pkgver.tar.gz aclocal-fixes.patch)
 md5sums=('4d5cb2fc7fb7830e4af9747a36bfce20' 'c59d4906602d99a7468f7334b6fc3b4e')
 sha1sums=('a5adcb909257da01ae4d4761e1d41081d06e4d7c' 'b034e33efb85d27f3f3fb082c404e3b6ea79259f')
 
@@ -31,5 +30,4 @@
     --with-xinput=xfree || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
-  rm -f "${pkgdir}/usr/share/info/dir"
 }

Modified: extra-i686/gtk.install
===================================================================
--- extra-i686/gtk.install	2010-01-11 15:30:03 UTC (rev 62734)
+++ extra-i686/gtk.install	2010-01-11 15:30:23 UTC (rev 62735)
@@ -1,10 +1,10 @@
-infofiles="gdk.info gtk.info gtk.info-1 gtk.info-2 gtk.info-3 gtk.info-4 gtk.info-5 gtk.info-6"
+infodir=/usr/share/info
+filelist=(gdk.info.gz gtk.info.gz)
 
-info_dir=/usr/share/info
-
 post_install() {
-  for inf in ${infofiles}; do
-    install-info ${info_dir}/${inf} ${info_dir}/dir
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
   done
 }
 
@@ -13,7 +13,8 @@
 }
 
 pre_remove() {
-  for inf in ${infofiles}; do
-    install-info --delete ${info_dir}/${inf} ${info_dir}/dir
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done
 }



More information about the arch-commits mailing list